---
sidebar_position: 11
description: Get fields structure for folder items filter and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get fields structure for folder items filter
 Returns filter structure for child folder items



`Function GetFolderFilterStructure(Val URL, Val Clear = False, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | Clear | --empty | Boolean | &#x2716; | True > structure with empty values, False > field types at values |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Structure Of KeyAndValue - Fields structure

:::tip
Method at API documentation: [disk.folder.getfields](https://dev.1c-bitrix.ru/rest_help/disk/folder/disk_folder_getfields.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";

    Result = OPI_Bitrix24.GetFolderFilterStructure(URL);

    URL   = "b24-ar17wx.bitrix24.by";
    Token = "6ad03969006e9f06006b12e400000001000...";

    Result = OPI_Bitrix24.GetFolderFilterStructure(URL, True, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetFolderFilterStructure \
             --url "b24-ar17wx.bitrix24.by" \
             --empty true \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetFolderFilterStructure ^
             --url "b24-ar17wx.bitrix24.by" ^
             --empty true ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "ID": "",
 "NAME": "",
 "TYPE": "",
 "CODE": "",
 "STORAGE_ID": "",
 "PARENT_ID": "",
 "CREATE_TIME": "",
 "UPDATE_TIME": "",
 "DELETE_TIME": "",
 "DELETED_TYPE": ""
}
```
